com.amazon.redshift.jdbc

## Class RedshiftSavepoint

- java.lang.Object
- - com.amazon.redshift.jdbc.RedshiftSavepoint

All Implemented Interfaces:
  Savepoint

    public class RedshiftSavepoint
    extends Object
    implements Savepoint

### Constructor Summary

Constructors
Constructor and Description
`RedshiftSavepoint(int id)`
`RedshiftSavepoint(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getRSName()`
`int` `getSavepointId()`
`String` `getSavepointName()`
`void` `invalidate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftSavepoint

    public RedshiftSavepoint(int id)

#### RedshiftSavepoint

    public RedshiftSavepoint(String name)

### Method Detail

#### getSavepointId

    public int getSavepointId()
                       throws SQLException

Specified by:
  `getSavepointId` in interface `Savepoint`
Throws:
  `SQLException`

#### getSavepointName

    public String getSavepointName()
                            throws SQLException

Specified by:
  `getSavepointName` in interface `Savepoint`
Throws:
  `SQLException`

#### invalidate

    public void invalidate()

#### getRSName

    public String getRSName()
                     throws SQLException

Throws:
  `SQLException`